commit:     509acb5b91ef05913bdff00c9532965b6814d451
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 11 02:56:39 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct 11 03:05:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=509acb5b

dev-python/cfn-lint: Bump to 1.16.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cfn-lint/Manifest               |  1 +
 dev-python/cfn-lint/cfn-lint-1.16.1.ebuild | 70 ++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index d2c5964ab10e..656225399d2e 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,3 +1,4 @@
 DIST cfn_lint-1.14.2.tar.gz 2426350 BLAKE2B 
65000d9201e66159d66e374a48cee6bfb330503ecdd72ecf325a3254a31f7fd9d78714b75b69b2e3a763eb4a2cf7eabad1e459dbb2ed4a46a3a21ba8551830b6
 SHA512 
ea7e558b4cd6ff844f25c88cfa46daefaee34ab10a209f4adc8ccc079bc4c361d917227aa60f747e9e821336ad21a9cdde114a0ce900fdf4f4c49eb7b83635c8
 DIST cfn_lint-1.15.2.tar.gz 2444882 BLAKE2B 
bb1e47da23087a667cfc3a1a36af962ad0db35332209651a0cf3d235630995ba35d46ababa1aba66587827cf913dfc347418b14c47f797ccf895143ffa8aea80
 SHA512 
077c1384a49d59bb0379c6ee8e09b8c0fdbb78a3c2c0e47d8b72e078ee4d40715b6ea4bbf7fdd053a6bb0d822a099a190554399d73eb0a31490f475af2ac1dae
 DIST cfn_lint-1.16.0.tar.gz 2428959 BLAKE2B 
3bfd381d0f39fbbb33e37ad59dd8714d706ecb552d90011483b2e61135168d7f3faca46a34a612522159a7615843fb75a6fbcc416049e137be2057a80285ae13
 SHA512 
6b35110bdbbc86509ec455e950d5cb941daa4a4c5fbf9d50f472cf8e263632cf0af7456125017bbf0639983daa4e8d21ac56c2d849e90ba49bd152c21f4fdff1
+DIST cfn_lint-1.16.1.tar.gz 2328621 BLAKE2B 
034738d924ac720a1e85569d65afd47c4cf0cf81b8187f03de48e968872b0c993d40a56b7a6b5c751e252461ebe29b750cdc6405ebc4733020bcc28f8c6887be
 SHA512 
4348ef8b9cc125c71b62ced41ecc16d6aaba7c194a95e28bc99a1cc49e4a931f1e6726286a9f31fd7f0a4692861e62efb9cde4482762f230aea963866aa8081a

diff --git a/dev-python/cfn-lint/cfn-lint-1.16.1.ebuild 
b/dev-python/cfn-lint/cfn-lint-1.16.1.ebuild
new file mode 100644
index 000000000000..086f03ea08df
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-1.16.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+       https://github.com/aws-cloudformation/cfn-lint/
+       https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/aws-sam-translator-1.91.0[${PYTHON_USEDEP}]
+       dev-python/jsonpatch[${PYTHON_USEDEP}]
+       >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+       dev-python/junit-xml[${PYTHON_USEDEP}]
+       <dev-python/networkx-4[${PYTHON_USEDEP}]
+       >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+       >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+       >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+       >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/defusedxml[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin the deps
+       sed -e 's:~=[0-9.]*::' -i pyproject.toml || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # TODO
+               
test/unit/module/test_template.py::TestTemplate::test_build_graph
+               # requires git repo
+               
test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+               # Internet
+               
test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+               
test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+               # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+               test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+               
test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+               
test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+               
test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+               # different graphviz version?
+               
test/unit/module/template/test_template.py::TestTemplate::test_build_graph
+       )
+
+       # from tox.ini
+       local -x AWS_DEFAULT_REGION=us-east-1
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}

Reply via email to